Author Topic: [Solved] Unable to compile wxlauncher-0.9.0 on debian sid  (Read 1879 times)

0 Members and 1 Guest are viewing this topic.

[Solved] Unable to compile wxlauncher-0.9.0 on debian sid
Hi all,

I'm a newcomer to FreeSpace 2. I discovered the existence of this project with Wing Commander Saga, and I was happy to see that it run on Linux. :-)

I followed the instructions to install FreeSpace Open described here :
http://www.hard-light.net/forums/index.php?topic=79545.0

I successfully compiled FSO from sources, but I'm unable to compile the wxLauncher.

I use the version described here :
http://www.hard-light.net/forums/index.php?topic=67950.0
and followed instructions in the ReadMe.

I think that I have all the dependencies installed. I'm running Debian Sid.
I'm using the installation precised in the ReadMe :
$ cmake -DUSE_OPENAL=1 -DDEVELOPMENT_MODE=1 -DCMAKE_INSTALL_PREFIX=/usr/local ../
$ make
but got an error at make (look's like there is some error with onlinehelp.htp)

Outputs of cmake and make are in the attached documents.
 
Does anyone here could help me compile the launcher ?

Many Thanks ! :-D

Darckense


[attachment deleted by a ninja]
« Last Edit: June 25, 2012, 02:33:22 pm by darckense »

 

Offline niffiwan

  • 211
  • Eluder Class
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Does your OS recognise the file generated/onlinehelp.htb?  Here's the output I get from file:

Code: [Select]
$ file generated/onlinehelp.htb
generated/onlinehelp.htb: Zip archive data, at least v2.0 to extract

As a guess, maybe you don't have zip/unzip installed? (which would be very odd, but I don't have any other ideas at the moment)
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 

Offline MatthTheGeek

  • Captain Obvious
  • 212
  • Frenchie McFrenchface
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Just for info, you can perfectly do everything the launcher does with command line flags. Just so that problem doesn't prevent you from playing, since you said you managed to compile FSO itself.
People are stupid, therefore anything popular is at best suspicious.

Homeworld: Blue Planet     -     Help us help you     -     FSO Installer     -     BP extras portal     -     My legacy

666maslo666: Releasing a finished product is not a good thing! It is a modern fad.

SpardaSon21: it seems like you exist in a permanent state of half-joking misanthropy

Axem: when you put it like that, i sound like an insane person

bigchunk1: it's not retarded it's american!
bigchunk1: ...

batwota: steele's maneuvering for the coup de gras
MatthTheGeek: you mispelled grâce
Awaesaar: grace
batwota: oh right :P
Darius: ah!
Darius: yes, i like that
MatthTheGeek: the way you just spelled it it means fat
Awaesaar: +accent I forgot how to keyboard
MatthTheGeek: or grease
Darius: the killing fat!
Axem: jabba does the coup de gras
MatthTheGeek: XD
Axem: bring me solo and a cookie

 
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Does your OS recognise the file generated/onlinehelp.htb?  Here's the output I get from file:

Code: [Select]
$ file generated/onlinehelp.htb
generated/onlinehelp.htb: Zip archive data, at least v2.0 to extract

As a guess, maybe you don't have zip/unzip installed? (which would be very odd, but I don't have any other ideas at the moment)

Hi niffiwan,

Yes, my OS recognize this file. In fact :
Code: [Select]
$ file generated/onlinehelp.htb
give me the same output as you.

To be sure, I also installed lua-zip package, but it did'nt solve my problem... :-/

Thanks,
« Last Edit: June 25, 2012, 06:25:10 am by darckense »

 
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Just for info, you can perfectly do everything the launcher does with command line flags. Just so that problem doesn't prevent you from playing, since you said you managed to compile FSO itself.

Yes, I tried to launch FSO and it works. I suppose the command line flags you are reffering to are :
http://www.hard-light.net/wiki/index.php/Command-Line_Reference  ?

I'll have to try this tonight and figure out which one I should use ! :-D

I'm still wondering why I can't compile the launcher...

 
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Are you sure you have the entire code checked out correctly? In the make output, you have a lot of "WARNING: File does not exist to be bundled into archive!". I don't have those warnings, and am able to compile wxLauncher correctly.

 

Offline MatthTheGeek

  • Captain Obvious
  • 212
  • Frenchie McFrenchface
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Yes, I tried to launch FSO and it works. I suppose the command line flags you are reffering to are :
http://www.hard-light.net/wiki/index.php/Command-Line_Reference  ?

I'll have to try this tonight and figure out which one I should use ! :-D
Yup, those ones. I'll post you the command line flags I use this evening, unless someone does it before I get back home.
People are stupid, therefore anything popular is at best suspicious.

Homeworld: Blue Planet     -     Help us help you     -     FSO Installer     -     BP extras portal     -     My legacy

666maslo666: Releasing a finished product is not a good thing! It is a modern fad.

SpardaSon21: it seems like you exist in a permanent state of half-joking misanthropy

Axem: when you put it like that, i sound like an insane person

bigchunk1: it's not retarded it's american!
bigchunk1: ...

batwota: steele's maneuvering for the coup de gras
MatthTheGeek: you mispelled grâce
Awaesaar: grace
batwota: oh right :P
Darius: ah!
Darius: yes, i like that
MatthTheGeek: the way you just spelled it it means fat
Awaesaar: +accent I forgot how to keyboard
MatthTheGeek: or grease
Darius: the killing fat!
Axem: jabba does the coup de gras
MatthTheGeek: XD
Axem: bring me solo and a cookie

 

Offline niffiwan

  • 211
  • Eluder Class
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Are you sure you have the entire code checked out correctly? In the make output, you have a lot of "WARNING: File does not exist to be bundled into archive!". I don't have those warnings, and am able to compile wxLauncher correctly.

I got a bunch of warnings similar to these ones, and it compiled OK - that was using the 0.9.0 release.  I don't think I got those warnings with the latest checkout from mercurial/googlecode.
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Are you sure you have the entire code checked out correctly? In the make output, you have a lot of "WARNING: File does not exist to be bundled into archive!". I don't have those warnings, and am able to compile wxLauncher correctly.

I got a bunch of warnings similar to these ones, and it compiled OK - that was using the 0.9.0 release.  I don't think I got those warnings with the latest checkout from mercurial/googlecode.

Well, I'm using the 0.9.0 release from May 30th on googlecode. I checked again to be sure, and the SHA1 checksum of the archive was OK. I didn't try to checkout with googlecode, I'll try that tonight to see if it fixes my problem.

 
Re: Unable to compile wxlauncher-0.9.0 on debian sid
Yup, those ones. I'll post you the command line flags I use this evening, unless someone does it before I get back home.

Thanks. :-D

 
Re: Unable to compile wxlauncher-0.9.0 on debian sid
OK guys, I have checkout googlecode, and this fixed my problem. I successfully compiled the launcher ! :-)

Thanks for your advices, and thanks for the game ! It's great.

--
Darckense

 

Offline Iss Mneur

  • 210
  • TODO:
Re: [Solved] Unable to compile wxlauncher-0.9.0 on debian sid
Thanks to everyone who helped out in the thread.

The "warning" from the builder is not a problem. It's just the .htb compiler being overly verbose about something that doesn't really matter.  We just committed a change that makes the message not appear in general, since it's just noise.
 
As for the reason that it was failing to build:
Quote
Code: [Select]
generated/onlinehelp.htb: file not recognized: File format not recognized
collect2: error: ld returned 1 exit status
make[2]: *** [wxlauncher] Erreur 1
make[1]: *** [CMakeFiles/wxlauncher.dir/all] Erreur 2
make: *** [all] Erreur 2
As far as I can tell, newer versions of automake or CMake (I'm not sure which) try to link the .htb file into the final executable, which the linker doesn't like. The issue was fixed in trunk at the beginning of June, but unfortunately we have not had a chance to release an update yet.
"I love deadlines. I like the whooshing sound they make as they fly by." -Douglas Adams
wxLauncher 0.9.4 public beta (now with no config file editing for FRED) | wxLauncher 2.0 Request for Comments